<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tisquare.mvp.mcs.db.TermsDao">
    <select id="selectTerms" parameterType="com.tisquare.mvp.mcs.model.UserInfo" resultType="com.tisquare.mvp.mcs.db.domain.Terms">
       <![CDATA[
            SELECT NAME as name, VALUE as value, DATE_FORMAT(CHG_DATE, '%Y%m%d%I%i%S') as chg_date FROM T_TERMS WHERE IUID =  #{iuid}
       ]]>
    </select>


    <select id="selectTermsAd" parameterType="java.lang.Long" resultType="java.lang.Integer">
        <![CDATA[
            SELECT VALUE as value, DATE_FORMAT(CHG_DATE, '%Y%m%d%I%i%S') as chg_date FROM T_TERMS WHERE IUID =  #{iuid} AND NAME = 'ad'
       ]]>
    </select>


</mapper>
